eth_getTransactionCount-polygon

Returns the number of transactions sent from an address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • DATA, 20 Bytes - address.
  • QUANTITY|TAG - Hex encoded integer block number, or the string "latest", "earliest" or "pending", see the default block parameter.
curl https://polygon-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_getTransactionCount",
    "params":[
        "0x7aa7d3e1745154eca2a26cd5a993c69139d9412d",
        "latest"
    ]
}'

Returns

  • QUANTITY - integer of the number of transactions send from this address.
{"jsonrpc":"2.0","id":1,"result":"0x13"}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to net_version
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!